Bug 426300 - Kate does not reorganize tabs
Summary: Kate does not reorganize tabs
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Applications
Component: general (show other bugs)
Version: 20.08.0
Platform: Manjaro Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-08 07:40 UTC by d_tassos
Modified: 2020-09-15 17:51 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 20.12


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description d_tassos 2020-09-08 07:40:59 UTC
SUMMARY
Kate does not seem to reorganize the tabs in how they are accessed from the documents panel anymore.

Maybe I remember it wrong, but the previous behavior was that when you had many documents in the documents panel open and you clicked on one of them, lets say textFile5.txt, the tab for that document would "jump" to the start and be the first tab, unless it was already visible as one of the "first" tabs and then it would just become focused. If I would then click on another document for example textFile35.txt then that tab would "jump" to the start of the tabs.

This was a very nice behavior as when having many documents open but need to focus/work on 2-3 of them, you don't need to scroll up and down the document list, once you have clicked them on the list, their tabs would then be side by side and can then be accessed much faster if you need to switch between them frequently than scrolling up and down the list to access them.

The behavior right now is that once you click on a document on the document list the tab for that document remains were it is and you are "transferred" to the tab, so the tab becomes focused without moving it, so now you jump from one tab to the other without reorganizing the tabs so you can't quickly access the last few clicked documents through the tabs.

I know that there is the quick open button which list the documents according to the order they were accessed from the document list or if you clicked on their tabs, but I think that the tabs should be reordered in the same fashion as the quick open list, makes it even easier to get to the documents you have recently accessed.


STEPS TO REPRODUCE
1. Open several documents
2. Click on the one document high on the document list panel
3. Click on the one document low on the document list panel

OBSERVED RESULT
The tab for the document remain at its current location and just being focus on.

EXPECTED RESULT
The tab should move to the start of the tabs according to how they have been accessed, this was the last few documents that have been accessed, their tabs are close to each other and you can quickly access them through their tabs, without needing to scroll in the documents list or scroll the tabs.

SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: Manjaro
(available in About System)
KDE Plasma Version: 5.19.4
KDE Frameworks Version: 5.73.0
Qt Version: 5.15.0

ADDITIONAL INFORMATION
Comment 1 Nate Graham 2020-09-08 20:49:32 UTC
This is a change with the port to use standard QTabBar-style tabs and away from the previous custom behavior. Speaking personally, I found the old behavior to be unpredictable and therefore somewhat annoying. However I can understand that if you liked it, this would be a regression. Not sure how to proceed.
Comment 2 Christoph Cullmann 2020-09-09 10:12:05 UTC
I will think about improving this again with some option to have LRU/MRU like reshuffling.
Comment 3 Bug Janitor Service 2020-09-14 20:26:16 UTC
A possibly relevant merge request was started @ https://invent.kde.org/utilities/kate/-/merge_requests/101
Comment 4 Christoph Cullmann 2020-09-14 20:27:13 UTC
Ok, seems that changes is more controversial than thought.

I added a option to have the old behavior "back" in some similar way but still using the "normal" tab bar.

Could you try

https://invent.kde.org/utilities/kate/-/merge_requests/101

Thanks!
Comment 5 Christoph Cullmann 2020-09-15 16:28:52 UTC
Fixed with that merge request.